PropertiesEditor (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.propertyeditors

## Class PropertiesEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.springframework.beans.propertyeditors.PropertiesEditor

- All Implemented Interfaces:
    PropertyEditor

      public class PropertiesEditor
      extends PropertyEditorSupport

  Custom `PropertyEditor` for `Properties` objects.

  Handles conversion from content `String` to `Properties` object. Also handles `Map` to `Properties` conversion, for populating a `Properties` object via XML "map" entries.

  The required format is defined in the standard `Properties` documentation. Each property must be on a new line.

  Author:
    Rod Johnson, Juergen Hoeller
  See Also:
    `Properties.load(java.io.Reader)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesEditor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAsText(String text)` Convert `String` into `Properties`, considering it as properties content.
    `void` | `setValue(Object value)` Take `Properties` as-is; convert `Map` into `Properties`.

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesEditor

          public PropertiesEditor()

  - ### Method Detail

    - #### setAsText

          public void setAsText(String text)
                         throws IllegalArgumentException

      Convert `String` into `Properties`, considering it as properties content.
      Specified by:
        `setAsText` in interface `PropertyEditor`
      Overrides:
        `setAsText` in class `PropertyEditorSupport`
      Parameters:
        `text` - the text to be so converted
      Throws:
        `IllegalArgumentException`

    - #### setValue

          public void setValue(Object value)

      Take `Properties` as-is; convert `Map` into `Properties`.
      Specified by:
        `setValue` in interface `PropertyEditor`
      Overrides:
        `setValue` in class `PropertyEditorSupport`